Delete dictionary
curl --request DELETE \
--url https://api.withhopper.com/pronunciation-dicts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withhopper.com/pronunciation-dicts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withhopper.com/pronunciation-dicts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"deleted": true
}{
"error": {
"message": "Incorrect API key provided. Check your key at https://withhopper.com/dashboard.",
"type": "invalid_request_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "You have run out of credits. Contact us to add more.",
"type": "insufficient_quota",
"code": "insufficient_quota",
"param": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "Rate limit reached: 600 requests per minute per key. Retry after 21s.",
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"param": null
}
}Pronunciation
Delete dictionary
Soft-deletes a dictionary.
DELETE
/
pronunciation-dicts
/
{id}
Delete dictionary
Authorizations
API key in the Authorization header: Bearer sk_hopper_... Keys are minted in the dashboard at withhopper.com/console/keys and shown once at creation. WebSocket connections also accept ?api_key=.
Path Parameters
Pronunciation dictionary id.
⌘I